package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Staffappchild;
import com.realnet.vpspack.Services.StaffappchildService ;
























@RequestMapping(value = "/Staffappchild")
 @CrossOrigin("*") 
@RestController
public class StaffappchildController {
	@Autowired
	private StaffappchildService Service;

@Value("${projectPath}")
	private String projectPath;
 
























	@PostMapping("/Staffappchild")
		  public Staffappchild Savedata(@RequestBody Staffappchild data) {
		Staffappchild save = Service.Savedata(data)	;























		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Staffappchild/{id}")
	public  Staffappchild update(@RequestBody Staffappchild data,@PathVariable Integer id ) {
		Staffappchild update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Staffappchild/getall/page")
	public Page<Staffappchild> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Staffappchild> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Staffappchild")
	public List<Staffappchild> getdetails() {
		 List<Staffappchild> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Staffappchild")
	public List<Staffappchild> getallwioutsec() {
		 List<Staffappchild> get = Service.getdetails();		
		return get;
}
@GetMapping("/Staffappchild/{id}")
	public  Staffappchild  getdetailsbyId(@PathVariable Integer id ) {
		Staffappchild  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Staffappchild/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}

























}